Issue 45499

Summary: Applying frame style to image ignores image aspect ratio
Product: Writer Reporter: Matthias Basler <openoffice>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: cat65, issues
Version: 680m84   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 105217    

Description Matthias Basler 2005-03-19 19:15:04 UTC
Simple problem, no solution:
I just want to define a Frame style that positions images and assigns them a
fixed width, but with the height calculated automatically from the image's
proportions (aspect ratio).
That's not possible, since for images the "AutoSize" function is not available
and the "Keep aspect" is obviously ignored when applying frame styles.

To reproduce
- Create new writer doc.
- Insert a small image (e.g. bigapple.gif from the gallary)
- Check image's "Keep aspect ratio" to ON.
- Create or edit a frame style to place the object somewhere (e.g. right page
border) and set:
    Width: 4 cm
    Height (at least): 1 cm
    AutoSize: ON
    (P.S. Why is "Keep aspect ratio always grey?)
- Apply style
Result: Image is rescaled to 4cm width (OK for me) and 1 cm height (wrong!).

So obviously
a) the frame style's AutoSize does not work for images
b) the "Keep aspect ratio" is ignored as well when applying a frame style to an
image.

Fazit: It's not possible to assign a frame style to an image without having to
manually correct the aspect ratio afterwards.
I consider this an important issue if images are to be placed as marginalia
(with a fixed width) beside the text, but the aspect ratio needs of course to be
correct.

There is one partly(!) related issue: issue 19850. (See remark from od)
Tested with OOo1.9.84+WinXP_SP2.
Comment 1 michael.ruess 2005-04-01 14:37:54 UTC
Reassigned to requirements.
Comment 2 ace_dent 2008-05-16 00:52:23 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 Matthias Basler 2008-05-16 17:07:47 UTC
Retested with OOo2.4.0
Issue remains unchanged, as I would expect. Image ratio is still ignored.
IMHO this should be rated "BUG", not "ENHANCEMENT", since the user is lured into
believing that the image ratio would be respected when applying thr frame style
by the "AutoSize" checkbox.
Comment 4 theradio 2009-05-11 16:03:53 UTC
+1 for "BUG" instead of "ENHANC". When there is no feature or option, it's an
enhancement. When feature is displayed/offered and behaves weirdly, that's a bug.

Back to the issue : when the image is distorted (after applying a frame style),
editing the image to get back to original size doesn't respect original ratio if
the original H or W is out of margins (seems that it tries to fit into the
writable document dimensions anyway).

Subsidiary question is : how does the default "images" style handle the ratio
correctly, because when changing something and saving as new style, this created
style looses that capability ?
Comment 5 theradio 2009-05-11 16:08:59 UTC
@ace_dent : same behavior in 3.1 (m11).

For now, I left frame styles apart from my templates (too time consuming).

@Matt : Seems that we are only 2 users manipulating frame styles ?? ;-)

(sorry for this second post, "submitted" to quickly)
Comment 6 janeri 2009-12-19 11:39:40 UTC
I definitely see this as a bug - an important one when creating documents with
pictures.
Comment 7 neurula 2010-07-16 15:21:53 UTC
OOo 3.2.0
this issue still present. If a caption is also inside the frame, the autosize
width fits the text and not the pic. This is awkward since most of the times you
want a multi-line caption under the image.
Comment 8 cat65 2011-02-28 10:15:02 UTC
OOo 3.3.0
Still, for almost 6 years the problem has not been resolved.

For me, it is an important feature to place graphics e.g. into tables. Full cell width is often too big, so I have to choose 1 or 2 specific widths for the graphics to give the table an acceptable appearance.

It would be less annoying/time consuming if I could use frame styles, which is not possible at the moment.